App\Library\Amazon\Classes\ThreeDPrinting:
    xml_root_name: ThreeDPrinting
    properties:
        productType:
            expose: true
            access_type: public_method
            serialized_name: ProductType
            accessor:
                getter: getProductType
                setter: setProductType
            type: string
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\ThreeDPrinting\VariationDataAType
        displayDiameter:
            expose: true
            access_type: public_method
            serialized_name: DisplayDiameter
            accessor:
                getter: getDisplayDiameter
                setter: setDisplayDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayLength:
            expose: true
            access_type: public_method
            serialized_name: DisplayLength
            accessor:
                getter: getDisplayLength
                setter: setDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        styleKeywords:
            expose: true
            access_type: public_method
            serialized_name: StyleKeywords
            accessor:
                getter: getStyleKeywords
                setter: setStyleKeywords
            type: string
        originDescription:
            expose: true
            access_type: public_method
            serialized_name: OriginDescription
            accessor:
                getter: getOriginDescription
                setter: setOriginDescription
            type: string
        certificateType:
            expose: true
            access_type: public_method
            serialized_name: CertificateType
            accessor:
                getter: getCertificateType
                setter: setCertificateType
            xml_list:
                inline: true
                entry_name: CertificateType
            type: array<string>
        certificateNumber:
            expose: true
            access_type: public_method
            serialized_name: CertificateNumber
            accessor:
                getter: getCertificateNumber
                setter: setCertificateNumber
            xml_list:
                inline: true
                entry_name: CertificateNumber
            type: array<string>
        designFileUrl:
            expose: true
            access_type: public_method
            serialized_name: DesignFileUrl
            accessor:
                getter: getDesignFileUrl
                setter: setDesignFileUrl
            type: string
        isAdultProduct:
            expose: true
            access_type: public_method
            serialized_name: IsAdultProduct
            accessor:
                getter: getIsAdultProduct
                setter: setIsAdultProduct
            type: boolean
        volumeBase:
            expose: true
            access_type: public_method
            serialized_name: VolumeBase
            accessor:
                getter: getVolumeBase
                setter: setVolumeBase
            type: string
        itemDepth:
            expose: true
            access_type: public_method
            serialized_name: ItemDepth
            accessor:
                getter: getItemDepth
                setter: setItemDepth
            type: string
        departmentName:
            expose: true
            access_type: public_method
            serialized_name: DepartmentName
            accessor:
                getter: getDepartmentName
                setter: setDepartmentName
            xml_list:
                inline: true
                entry_name: DepartmentName
            type: array<string>
        theme:
            expose: true
            access_type: public_method
            serialized_name: Theme
            accessor:
                getter: getTheme
                setter: setTheme
            type: string
        genre:
            expose: true
            access_type: public_method
            serialized_name: Genre
            accessor:
                getter: getGenre
                setter: setGenre
            xml_list:
                inline: true
                entry_name: Genre
            type: array<string>
        mfgMinimum:
            expose: true
            access_type: public_method
            serialized_name: MfgMinimum
            accessor:
                getter: getMfgMinimum
                setter: setMfgMinimum
            type: App\Library\Amazon\Classes\MinimumAgeRecommendedDimensionType
        videoUrl:
            expose: true
            access_type: public_method
            serialized_name: VideoUrl
            accessor:
                getter: getVideoUrl
                setter: setVideoUrl
            type: string
        styleName:
            expose: true
            access_type: public_method
            serialized_name: StyleName
            accessor:
                getter: getStyleName
                setter: setStyleName
            xml_list:
                inline: true
                entry_name: StyleName
            type: array<string>
        specialFeatures:
            expose: true
            access_type: public_method
            serialized_name: SpecialFeatures
            accessor:
                getter: getSpecialFeatures
                setter: setSpecialFeatures
            xml_list:
                inline: true
                entry_name: SpecialFeatures
            type: array<string>
        specialSizeType:
            expose: true
            access_type: public_method
            serialized_name: SpecialSizeType
            accessor:
                getter: getSpecialSizeType
                setter: setSpecialSizeType
            xml_list:
                inline: true
                entry_name: SpecialSizeType
            type: array<string>
        beltStyle:
            expose: true
            access_type: public_method
            serialized_name: BeltStyle
            accessor:
                getter: getBeltStyle
                setter: setBeltStyle
            type: string
        itemShape:
            expose: true
            access_type: public_method
            serialized_name: ItemShape
            accessor:
                getter: getItemShape
                setter: setItemShape
            type: string
        frameMaterialType:
            expose: true
            access_type: public_method
            serialized_name: FrameMaterialType
            accessor:
                getter: getFrameMaterialType
                setter: setFrameMaterialType
            type: string
        lensMaterialType:
            expose: true
            access_type: public_method
            serialized_name: LensMaterialType
            accessor:
                getter: getLensMaterialType
                setter: setLensMaterialType
            type: string
        compatiblePhoneModels:
            expose: true
            access_type: public_method
            serialized_name: CompatiblePhoneModels
            accessor:
                getter: getCompatiblePhoneModels
                setter: setCompatiblePhoneModels
            xml_list:
                inline: true
                entry_name: CompatiblePhoneModels
            type: array<string>
        compatibleDevices:
            expose: true
            access_type: public_method
            serialized_name: CompatibleDevices
            accessor:
                getter: getCompatibleDevices
                setter: setCompatibleDevices
            xml_list:
                inline: true
                entry_name: CompatibleDevices
            type: array<string>
        includedComponents:
            expose: true
            access_type: public_method
            serialized_name: IncludedComponents
            accessor:
                getter: getIncludedComponents
                setter: setIncludedComponents
            xml_list:
                inline: true
                entry_name: IncludedComponents
            type: array<string>
        numberOfPieces:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPieces
            accessor:
                getter: getNumberOfPieces
                setter: setNumberOfPieces
            type: string
        installationType:
            expose: true
            access_type: public_method
            serialized_name: InstallationType
            accessor:
                getter: getInstallationType
                setter: setInstallationType
            type: string
        isAssemblyRequired:
            expose: true
            access_type: public_method
            serialized_name: IsAssemblyRequired
            accessor:
                getter: getIsAssemblyRequired
                setter: setIsAssemblyRequired
            type: boolean
        skillLevel:
            expose: true
            access_type: public_method
            serialized_name: SkillLevel
            accessor:
                getter: getSkillLevel
                setter: setSkillLevel
            type: string
        materialType:
            expose: true
            access_type: public_method
            serialized_name: MaterialType
            accessor:
                getter: getMaterialType
                setter: setMaterialType
            xml_list:
                inline: true
                entry_name: MaterialType
            type: array<string>
        metalType:
            expose: true
            access_type: public_method
            serialized_name: MetalType
            accessor:
                getter: getMetalType
                setter: setMetalType
            type: string
        colorName:
            expose: true
            access_type: public_method
            serialized_name: ColorName
            accessor:
                getter: getColorName
                setter: setColorName
            type: string
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        sizeName:
            expose: true
            access_type: public_method
            serialized_name: SizeName
            accessor:
                getter: getSizeName
                setter: setSizeName
            type: string
        isCustomizable:
            expose: true
            access_type: public_method
            serialized_name: IsCustomizable
            accessor:
                getter: getIsCustomizable
                setter: setIsCustomizable
            type: boolean
        additionalProductInformation:
            expose: true
            access_type: public_method
            serialized_name: AdditionalProductInformation
            accessor:
                getter: getAdditionalProductInformation
                setter: setAdditionalProductInformation
            type: string
        recommendedUserBuild:
            expose: true
            access_type: public_method
            serialized_name: RecommendedUserBuild
            accessor:
                getter: getRecommendedUserBuild
                setter: setRecommendedUserBuild
            type: string
        printingTechnology:
            expose: true
            access_type: public_method
            serialized_name: PrintingTechnology
            accessor:
                getter: getPrintingTechnology
                setter: setPrintingTechnology
            type: string
        itemHardness:
            expose: true
            access_type: public_method
            serialized_name: ItemHardness
            accessor:
                getter: getItemHardness
                setter: setItemHardness
            type: string
        itemFirmnessDescription:
            expose: true
            access_type: public_method
            serialized_name: ItemFirmnessDescription
            accessor:
                getter: getItemFirmnessDescription
                setter: setItemFirmnessDescription
            type: string
        isVeryHighValue:
            expose: true
            access_type: public_method
            serialized_name: IsVeryHighValue
            accessor:
                getter: getIsVeryHighValue
                setter: setIsVeryHighValue
            type: boolean
        supportedDevices:
            expose: true
            access_type: public_method
            serialized_name: SupportedDevices
            accessor:
                getter: getSupportedDevices
                setter: setSupportedDevices
            xml_list:
                inline: true
                entry_name: SupportedDevices
            type: array<string>
        itemTypeName:
            expose: true
            access_type: public_method
            serialized_name: ItemTypeName
            accessor:
                getter: getItemTypeName
                setter: setItemTypeName
            type: string
        preferredManufacturer:
            expose: true
            access_type: public_method
            serialized_name: PreferredManufacturer
            accessor:
                getter: getPreferredManufacturer
                setter: setPreferredManufacturer
            type: string
        additionalSizeInformation:
            expose: true
            access_type: public_method
            serialized_name: AdditionalSizeInformation
            accessor:
                getter: getAdditionalSizeInformation
                setter: setAdditionalSizeInformation
            type: string
        finishType:
            expose: true
            access_type: public_method
            serialized_name: FinishType
            accessor:
                getter: getFinishType
                setter: setFinishType
            xml_list:
                inline: true
                entry_name: FinishType
            type: array<string>
